$simpleGameSize: 90px;
$gameContainerHeight: 195px;
$gameCreativeLinkSize: 80px;
$gameImageBorderRadius: 30px;
$gameNavigationButtonSize: 48px;
$gameContainerBorderRadius: 8px;
$gameDateBackgroundColor: #8cc152;
$gameGenreBackgroundColor: #e9edf1;
$gameNavigationBackgroundColor: #289ccf;
$gameItemShadowColor:rgba(0, 0, 0, 0.12);

.game-item-grid-container {
    width: 100%;
    display: flex;

    margin: 10px 0px;
    flex-direction: row;
    height: $gameContainerHeight;

    .game-item-similar-titles-container {
        display: flex;
        margin-left: 15px;
        flex-direction: column;
        width: calc(35% - 15px);
        background-color: white;
        padding: 20px 10px 10px 10px;
        border-radius: $gameContainerBorderRadius;

        span {
            font-size: 14px;
            font-weight: 600;
            margin: 0px 0px 10px 20px;
            color: rgba(67, 74, 84, 0.8);
        }

        .game-item-similar-titles-content {
            display: flex;

            overflow-x: auto;
            flex-wrap: nowrap;
            flex-direction: row;
            margin: 0px 25px 0px 10px;

            a {
                margin: 10px;
                width: $simpleGameSize;
                height: $simpleGameSize;
                border-radius: $gameImageBorderRadius * 0.75;

                img {
                    width: $simpleGameSize;
                    height: $simpleGameSize;
                    border-radius: $gameImageBorderRadius * 0.75;
                    box-shadow: 1px 1px 5px $gameItemShadowColor;
                }
            }
        }
    }

    .game-item-main-information {
        width: 65%;
        height: 100%;
        display: flex;

        flex-direction: row;
        background-color: white;
        justify-content: space-between;
        border-top-left-radius: $gameImageBorderRadius;
        border-bottom-left-radius: $gameImageBorderRadius;
        border-bottom-right-radius: $gameImageBorderRadius;
        border-top-right-radius: $gameContainerBorderRadius;

        .game-item-logo-container {
            width: $gameContainerHeight;
            height: $gameContainerHeight;

            img {
                width: $gameContainerHeight;
                height: $gameContainerHeight;
                border-radius: $gameImageBorderRadius;
                box-shadow: 2px 2px 5px $gameItemShadowColor;
            }
        }

        .game-item-main-container {
            width: 100%;
            display: flex;

            flex-direction: column;
            padding: 10px 20px 5px 25px;

            div {
                width: 100%;
                margin: 5px 0px;
            }

            span, label {
                width: 100%;
                display: block;
                overflow: hidden;
                text-overflow: ellipsis;
            }

            span {
                font-size: 14px;
                font-weight: 600;
                color: rgba(67, 74, 84, 0.8);
            }

            label {
               font-size: 16px;
               line-height: 1.15;
               margin: 0px 0px 0px 0px;
            }

            div:last-child {
                width: auto;

                label {
                    font-weight: 400;
                    font-size: 15px;
                }
            }

            .game-item-main-navigation {
               div:last-child {
                   width: 100%;
               }
            }
        }

        .game-item-main-description {
            width: 100%;
            display: flex;

            flex-wrap: nowrap;
            flex-direction: row;

            > div:last-child {
                display: flex;

                flex-direction: row;

                button {
                    padding: 0px;
                    margin: 0px 5px;

                    &:focus {
                       outline: none;
                    }

                    span {
                        display: block;
                        border-radius: $gameContainerBorderRadius;
                    }

                    .game-item-edit-icon {
                        background-size: 100% 100%;
                        width: $gameNavigationButtonSize;
                        height: $gameNavigationButtonSize;
                        background-image: url("/assets/svg/icon-edit-active.svg");

                        &:hover {
                            opacity: 0.75;
                        }
                    }

                    .game-item-creativities-icon {
                        background-size: 100% 100%;
                        width: $gameCreativeLinkSize;
                        height: $gameCreativeLinkSize;
                        background-color: $gameNavigationBackgroundColor;
                        background-image: url("/assets/svg/icon-view-in-creative-gallery.svg");

                        &:hover {
                            opacity: 0.75;
                        }
                    }
                }
            }
        }

       .game-item-genres-information {
            width: 100%;
            height: auto;
            display: flex;

            overflow-x: auto;
            flex-wrap: nowrap;
            flex-direction: row;
            padding: 15px 0px 5px 0px;

            > div {
                width: auto;
                color: grey;
                font-size: 14px;
                cursor: pointer;
                font-weight: 600;
                padding: 3px 14px;
                border-radius: 100px;
                display: inline-block;
                margin: 0px 6px 6px 0px;
                background: $gameGenreBackgroundColor;
            }

            .game-item-publication-date {
                span {
                    color: white;
                }
                background: $gameDateBackgroundColor;
            }
        }
    }
}
